/* -------------------------------------------------------------------------- */
/*                  this section is for layout of the header                  */
/* -------------------------------------------------------------------------- */

body:has(.navbar_inner.show) {
  overflow: hidden;
}

.header {
  min-height: 70px;
  display: flex;
  margin-inline: auto;
  justify-content: space-between;
  padding: 24px 32px;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 8;
  color: white;
  transition: all 0.3s ease;
  align-items: start;
}

header.scrolled {
  background: white;
  color: #525252;
}

.menu_header {
  display: flex;
  align-items: center;
  gap: 12px;
  transition: 0.3s ease all;
}

.menu_icon {
  cursor: pointer;
}

.menu_icon line {
  stroke: white;
  stroke-width: 2;
  stroke-linecap: round;
  transition: transform 0.4s ease, opacity 0.3s ease;
  transform-origin: 12px 12px; /* center of viewBox */
}

.Main__Menu_Mobile {
  height: 100%;
}

.main__Menu_Content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}

header.scrolled .menu_icon line {
  stroke: black;
}

/* When active (menu open) */
.menu_icon.active .line1 {
  transform: rotate(45deg) translateY(4px);
}

.menu_icon.active .line2 {
  transform: rotate(-45deg) translateY(-4px);
}

.logo_on_top {
  display: block;
  height: 48px;
}

header.scrolled .logo_on_top {
  display: none;
}

.logo_on_scroll {
  display: none;
  height: 48px;
}

header.scrolled .logo_on_scroll {
  display: block;
}

.logo_on_mobile {
  display: none;
}

.logo_mobile_on_scroll {
  display: none;
}

@media (min-width: 991px) {
  .navbar_inner {
    opacity: 0;
    transform: translate(100%);
    transition: all 0.3s ease;
    display: block !important;
    position: absolute;
    right: 0;
    top: 0;
    height: 100vh;
    width: 386px;
  }
}

.navbar_inner.show {
  background: white;
  color: black;
  padding: 42px;
  opacity: 1;
  transform: translate(0);
  padding-top: 64px;
}

.navbar_inner .Mobile__Menu_Icon,
.navbar_inner .sidebar_header__Logo {
  display: none;
}

.navbar_inner .nav-pills {
  /* margin-top: 84px; */
  flex-direction: column;
  gap: 8px;
}

.mobile_header_cate_container {
  display: flex;
  flex-direction: column;
  gap: 22px;
}

.navbar_inner .SCat-Main > li > a {
  display: none;
  font-weight: 400;
  font-size: 16px;
  transition: all 0.3s ease;
  position: relative;
}

.navbar_inner li a:hover {
  color: #005847;
}

.navbar_inner .SCat-Main > li.SCat-have-sub-menu:not(:has( > ul > li.has_catalouge)) > a::after {
  content: "+";
  position: absolute;
  right: 14px;
  top: 2px;
  transition: all 0.3s ease;
}

.navbar_inner .SCat-Main > li.SCat-have-sub-menu.shown:not(:has( > ul > li.has_catalouge)) > a::after {
content: "-";
}

.navbar_inner .SCat-Main > li.SCat-have-sub-menu.shown > a::after {
  content: "-";
}

header:has(.navbar_inner.show) .menu_header {
  color: white;
  z-index: 9;
}

header:has(.navbar_inner.show) .menu_icon line {
  stroke: black;
}

.mobile_header_cate_container > span {
  font-size: 32px;
  font-weight: 300;
}

/* -------------------------------------------------------------------------- */
/*                                  Ajax Basket                               */
/* -------------------------------------------------------------------------- */

.AjaxMiniCartWrapper .icon-cart {
  background: url(../Images/basket.svg) no-repeat center;
  width: 52px;
  max-width: unset;
  margin: 0;
  background-size: 24px !important;
  background-position: center left;
  height: 24px;
}

.AjaxMiniCartWrapper svg {
  display: none;
}

.AjaxMiniCartWrapper #cart {
  padding: 0;
}

.AjaxMiniCartWrapper #cartNum .num {
  top: 50%;
  right: auto;
  transform: translateY(-50%);
  background-color: var(--mc1);
  color: var(--tc1);
  width: 1.5rem;
  height: 1.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
}

.AjaxMiniCartWrapper .cartInfo {
  left: 0;
  right: auto;
  z-index: 999;
  padding-top: 1rem !important;
  top: 25px !important;
}

.AjaxMiniCartWrapper .cartInfo-wrap:after {
  left: 12px;
  right: auto;
}

.products_mobile .SCat-Main {
  flex-direction: column;
  gap: 8px;
  display: flex;
  overflow-y: auto;
  max-height: 400px;
}

.products_mobile .SCat-Main > li.SCat-have-sub-menu {
  flex-direction: column;
  gap: 8px;
  display: flex;
}

.products_mobile .SCat-Main > li.SCat-have-sub-menu ul.SCat-sub-menu {
  display: none;
}

.products_mobile .SCat-Main > li.SCat-have-sub-menu.shown > ul.SCat-sub-menu {
  flex-direction: column;
  gap: 8px;
  display: flex !important;
  padding-left: 16px;
}

.products_mobile
  .SCat-Main
  > li.SCat-have-sub-menu.shown
  > ul.SCat-sub-menu
  li
  a {
  font-weight: 300;
  font-size: 14px;
  transition: all 0.3s ease;
  position: relative;
  display: block !important;
}

@media (max-width: 991px) {
  .navbar_inner {
    color: black;
  }
  .menu_header {
    display: none;
  }
  header.scrolled .header_logo_icon {
    width: 134px;
  }
  .Main__Menu_Mobile {
    position: fixed;
    top: 0;
    left: -100%;
    bottom: 0;
    background: white;
    transition: all 0.3s ease;
  }
  .Main__Menu_Mobile.show {
    display: block;
    left: 0;
    right: 0;
  }
  .Main__Menu_Mobile .main__Menu_Content {
    display: flex;
    flex-direction: column;
    align-items: start;
    height: 100%;
    padding: 54px 52px;
    justify-content: space-between;
  }
  .main__Menu_Content > section {
    width: 100%;
  }
  .sidebar_header__Menu_Close.WbIcon,
  .Mobile__Menu_Icon.WbIcon {
    background: black;
    display: block;
  }
  .navbar_inner .Mobile__Menu_Icon,
  .navbar_inner .sidebar_header__Logo {
    display: block;
  }

  .Mobile__Menu_Icon.WbIcon {
    background: white;
  }

  .header.scrolled .Mobile__Menu_Icon.WbIcon {
    background: black;
  }
  .sidebar_header__Logo {
    position: absolute;
    right: 24px;
    top: 30px;
  }
  .main__Menu_Content .nav-pills {
    flex-direction: column;
    gap: 14px;
    font-size: 16px;
  }
  .products_mobile .SCat-Main {
    flex-direction: column;
    gap: 14px;
    font-size: 16px;
    display: flex;
  }
  .mobile_header_cate_container {
    display: flex;
    flex-direction: column;
    gap: 22px;
  }
  .mobile_header_cate_container > span {
    font-size: 40px;
  }

  .logo_on_top {
    display: none !important;
  }

  .logo_on_scroll {
    display: none !important;
  }

  .logo_on_mobile {
    display: block;
  }

  .logo_mobile_on_scroll {
    display: none;
  }

  header.scrolled .logo_on_mobile {
    display: none;
  }

  header.scrolled .logo_mobile_on_scroll {
    display: block;
  }

  .navbar_inner li a {
    display: block !important;
  }
}
